summaryrefslogtreecommitdiffstats
path: root/development/couchdb/couchdb.SlackBuild
diff options
context:
space:
mode:
author Nicolas Steinmetz <nsteinmetz@gmail.com>2010-05-13 00:57:51 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:57:51 +0200
commit70134d23096dc55c66ea9bb088aa19200be18e99 (patch)
tree6abe8c777b7ab0a89adfce448b2ed7c7fc052eaa /development/couchdb/couchdb.SlackBuild
parent199a752bf47a887883f4afb5a896da638e7516f1 (diff)
downloadslackbuilds-70134d23096dc55c66ea9bb088aa19200be18e99.tar.gz
slackbuilds-70134d23096dc55c66ea9bb088aa19200be18e99.tar.xz
development/couchdb: Added to 13.0 repository
Diffstat (limited to 'development/couchdb/couchdb.SlackBuild')
-rw-r--r--development/couchdb/couchdb.SlackBuild118
1 files changed, 118 insertions, 0 deletions
diff --git a/development/couchdb/couchdb.SlackBuild b/development/couchdb/couchdb.SlackBuild
new file mode 100644
index 0000000000..9d84083518
--- /dev/null
+++ b/development/couchdb/couchdb.SlackBuild
@@ -0,0 +1,118 @@
+#!/bin/sh -e
+
+# SlackBuild for Apache CouchDB
+
+# Written by Nicolas Steinmetz (nsteinmetz@gmail.com) - 2010/01/03
+# Heavily modified by Robby Workman <rworkman@slackbuilds.org>
+
+PRGNAM=couchdb
+VERSION=0.10.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+PKGSRC=apache-couchdb
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+## couchdb user & group *MUST* exist before package creation
+# See http://slackbuilds.org/uid_gid.txt for current recomendations.
+bailout() {
+ printf " The couchdb user and group do not exist.
+ You should create it/them with the following:
+ groupadd -g 231 couchdb
+ useradd -u 231 -g couchdb -d /var/lib/couchdb -s /bin/sh couchdb\n"
+}
+
+if ! grep -q ^couchdb: /etc/group 2>/dev/null ; then
+ bailout
+ exit 1
+elif ! grep -q ^couchdb: /etc/passwd 2>/dev/null ; then
+ bailout
+ exit 1
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+rm -rf $TMP/$PKGSRC-$VERSION
+cd $TMP
+tar xvf $CWD/$PKGSRC-$VERSION.tar.gz
+cd $PKGSRC-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/man \
+ --localstatedir=/var \
+ --libdir=/usr/lib$LIBDIRSUFFIX \
+ --with-erlang=/usr/lib$LIBDIRSUFFIX/erlang/usr/include \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+# Fixup some ownership and permissions stuffs
+chown -R couchdb:couchdb $PKG/etc/couchdb $PKG/var/{lib,log,run}/couchdb
+chmod 0770 $PKG/etc/couchdb $PKG/var/{lib,log,run}/couchdb
+
+# Use the correct name for the init script and don't clobber it on upgrades
+mv $PKG/etc/rc.d/couchdb $PKG/etc/rc.d/rc.couchdb.new
+chmod 0755 $PKG/etc/rc.d/rc.couchdb.new
+
+# Don't clobber a few other config files
+mv $PKG/etc/couchdb/default.ini $PKG/etc/couchdb/default.ini.new
+mv $PKG/etc/couchdb/local.ini $PKG/etc/couchdb/local.ini.new
+
+# Don't clobber the logrotate script either
+mv $PKG/etc/logrotate.d/couchdb $PKG/etc/logrotate.d/couchdb.new
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+( cd $PKG/usr/man || exit 1
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS BUGS CHANGES LICENSE NEWS NOTICE README THANKS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}